Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.utils
Class IntStack

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.IntStack

public final class IntStack
extends java.lang.Object

A simple integer based stack.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: IntStack.java,v 1.1 2001/01/25 07:18:39 andyc Exp $
Author:
  Andy Clark, IBM

Constructor Summary
`IntStack()`

Method Summary
`void` | `clear()` Clears the stack.
`int` | `peek()` Peeks at the top of the stack.
`int` | `pop()` Pops a value off of the stack.
`void` | `print()` Prints the stack.
`void` | `push(int value)` Pushes a value onto the stack.
`int` | `size()` Returns the size of the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntStack

    public IntStack()

Method Detail

### size

    public int size()

  Returns the size of the stack.

### push

    public void push(int value)

  Pushes a value onto the stack.

### peek

    public int peek()

  Peeks at the top of the stack.

### pop

    public int pop()

  Pops a value off of the stack.

### clear

    public void clear()

  Clears the stack.

### print

    public void print()

  Prints the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference